import { createRouter, createWebHistory } from "vue-router"

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      name: "root",
      path: "/",
      redirect: "/home",
    },
    {
      name: "home",
      path: "/home",
      component: () => import("@/pages/Home.vue"),
    },
    {
      name: "files",
      path: "/files",
      component: () => import("@/pages/Files.vue"),
    },
    {
      name: "users",
      path: "/users",
      component: () => import("@/pages/Users.vue"),
    },
    {
      name: "cardShower",
      path: "/card/:user_name/:pages_name/:token?",
      component: () => import("@/pages/CardShower.vue"),
      props: true,
    },
    {
      name: "noteShower",
      path: "/note/:note_url/:token?",
      component: () => import("@/pages/NoteShower.vue"),
      props(route) {
        return {
          ...route.params
        }
      },
    },
    {
      name: 'notFound',
      path: "/:any*", // 使用正则表达式匹配所有路径
      component: () => import('@/pages/ErrorPage.vue'),
      props() {
        return { statusCode: 404 }
      },
    },
  ],
});

export default router